--[[
    xItemLib Sampler Pack Credits
    
    xItemLib
		by minenice
	
	Jarate (+ Orbinaut)
	Pipe
	Mine Launcher
	Spiny Shell
	Pot of Greed
	Eggman Microphone
	Stone Axe
	Mad Milk (+ Orbinaut)
		by minenice
		
	DKR Self-Magnet
		by Altiami
	
	Jarate icon
	Pipe icon
	"Mini-Crit!!" text
		by Tiniest Turtles
	
	Other Contributions
		by Ashnal
		   DarkyBenji
		   RetroStation
		   JugadorXEI

	All parodied material belongs to their respective owner(s).
	https://github.com/minenice55/xItemLib
]]

-- things that are shared between items
freeslot(
	-- minecraft potion effect
	"S_PICKEL_EFFECT",
	"S_PICKEL_EFFECT2",
	"S_PICKEL_EFFECT3",
	"SPR_PSML",

	--dropped item sprite
	"SPR_XITS",

	--beep beep beep beep
	"sfx_xiwarn"
)

-- potion of small
states[S_PICKEL_EFFECT] = {
	sprite = SPR_PSML,
	frame = FF_FULLBRIGHT|FF_ANIMATE|B,
	tics = 8*2,
	nextstate = S_NULL,
	var1 = 7,
	var2 = 2,
}

-- to improve visibility of the small potion on magenta-coloured surfaces 🥹
states[S_PICKEL_EFFECT2] = {
	sprite = SPR_PSML,
	frame = FF_FULLBRIGHT|FF_ANIMATE|J,
	tics = 8*2,
	nextstate = S_NULL,
	var1 = 7,
	var2 = 2,
}

-- potion of swiftness
states[S_PICKEL_EFFECT3] = {
	sprite = SPR_PSML,
	frame = FF_FULLBRIGHT|FF_ANIMATE|R,
	tics = 8*2,
	nextstate = S_NULL,
	var1 = 7,
	var2 = 2,
}

if HOSTMOD then
	local hq_dyk = {
		{msg = "The Stone Axe item grants improved maneuverability when far from first place. Use this to catch up to the front of the pack!"},
		{msg = "The Stone Axe item deals Critical Hits when attacking while falling. Take advantage of ramps and springs to further slow down hit opponents!"},
		{msg = "The Stone Axe item deals extra knockback when attacking while boosting. Use Sneaker Panels to try knocking other racers into hazards or pits!"},
		{msg = "The Stone Axe item is enchanted with Cleaving III, which disables a victim's items. Attack racers attempting to take shortcuts to deny their use of their boost items!"},
		
		{msg = "The cards obtained from the Pot of Greed item can be exchanged for more item rolls. Hold down the Item button to recieve an item in a pinch!"},
		{msg = "When five cards are obtained from the Pot of Greed item, Exodia the Forbidden one is summoned. Higher ranking racers will be hit by its attack, giving everyone else a chance to catch up!"},
		{msg = "When five cards are obtained from the Pot of Greed item, Exodia the Forbidden one is summoned. The racer in first place will recieve a devestating blow, somehow getting coated in Jarate in the process!"},
		
		{msg = "The Eggman Microphone item hits players who are holding on to an item. Predict when your opponents will recieve an item to make it harder to avoid."},
		{msg = "The Eggman Microphone item hits players who are holding on to an item. Use your item before the announcement ends to avoid spinning out!"},
	
		{msg = "The Jarate item causes all players coated in Jarate to take Mini-Crits. Use in a crowded pack to slow down your opponents and break away!"},
		{msg = "The Jarate item causes all players coated in Jarate to take Mini-Crits. Bump into a sodden racer to inflict powerful knockback!"},
		
		{msg = "Hitting a racer soaked in Mad Milk will grant you a short period of invulnerability and a slight speed boost. Take advantage of this in areas with many hazards!"},
		{msg = "When soaked in Mad Milk, racers will not recieve an invulnerability period when hit. Try to avoid getting combo'ed by other racers!"},
		
		{msg = "The Mine Launcher item fires mines that quickly detonate when landing. The wielder is invulnerable to the mines they launch, so fire away!"},
		{msg = "All held Mine Launcher items are equipped simultaneously when used. Try to obtain several at once to create a Mine Launcher firing squad!"},
		
		{msg = "The Pipe item acts as a solid roadblock. Use it to block opponents and hazards!"},
		{msg = "The Pipe item acts as a solid roadblock. Destroy it with the use of Grow or Invincibility!"},
		{msg = "Once placed, the Pipe item will spew out items after a while. Try placing pipes in strategic locations to collect their items on the next lap!"},
		{msg = "Once placed, the Pipe item will spew out items after a while. In a pinch, try grabbing the items left be hind by a leading racer's Pipe!"},
		
		{msg = "The Lingering Potion of Small item leaves behind a lingering potion cloud on impact. Running into the potion cloud will cause racers to Shrink for a while!"},
		{msg = "The Lingering Potion of Small item's potion cloud shrinks any racer caught within. It will even force racers under the effects of Grow to return to normal!"},
		{msg = "The Lingering Potion of Small item cannot be placed or thrown backwards. Take caution to not drive in yourself!"},
		
		{msg = "The DKR Self-Magnet item pulls opponents backwards. Be careful of any items the victim may have equipped!"},
		{msg = "The DKR Self-Magnet item launches homing magnetism energy at racers ahead. Racers are harshly dragged backwards when hit!"},
		{msg = "The DKR Self-Magnet item launches homing magnetism energy at racers ahead. The target can destroy it by hitting it with an item!"},
		{msg = "The DKR Self-Magnet item launches homing magnetism energy at racers ahead. You can retrieve your magnet by coming into contact with it when it stops!"},
		
		{msg = "The Blue Shell item makes a beeline for the racer in first place to hit them. Combine it with the threat of a Self-Propelled Bomb to maximize the stress on the leading racer!"},
		{msg = "If targeted by the Blue Shell item, the racer in first place can slow down to make it swap targets with any racer that passes!"},
		{msg = "If targeted by the Blue Shell item, the racer in first place can use a well timed speed boost to dodge its attack entirely!"},
	}
	for i = 1, #hq_dyk
		HM_Scoreboard_AddTip(hq_dyk[i])
	end
end

--TODO: dedicated method to loop a warning beep for a player here
-- because soon multiple items will warn their victims